#!/bin/bash

# If doesn't have temp folder, create it
if [ ! -d "temp" ]; then
  mkdir temp
fi
if [ ! -d "temp/auth" ]; then
  mkdir temp/auth
fi
echo "Debug: Script started at $(date)" >> ./temp/debug.log
echo "Debug: Current directory is $(pwd)" >> ./temp/debug.log
echo "Debug: User is $(whoami)" >> ./temp/debug.log
echo "Debug: Environment variables:" >> ./temp/debug.log
env >> ./temp/debug.log

cd ${BOT_ROOT}



# If doesn't have temp/cookies.json, create it
if [ ! -f "./temp/auth/cookies.json" ]; then
  mkdir temp/auth
  python3 library/init-auth.py
fi

# Set the log file name with the current date and time
log_file="./temp/$(date +%Y%m%d-%H%M%S).log"

# Run the Python script with or without --today and output to both the console and log file
if [[ "$1" == "--today" ]]; then
  python3 run.py --today | tee "$log_file"
else
  python3 run.py | tee "$log_file"
fi
